/****************************************************************************
 ****************************************************************************
 *
 * codec.h
 *
 ****************************************************************************
 ****************************************************************************/





#ifndef YAWICA_CODEC_H
#define YAWICA_CODEC_H

struct ac;
struct transform;

struct codec
	{
	struct ac			*ac;
	union coefficient		*cft;
	int				msb;
	int				number;
	int				xres;
	int				yres;
	int				level;
	int				bitplane;
	int				nr_bitplanes;
	int				pass;
	int				signif;
	int				sign;
	int				magn;
	int				sum_signif;
	int				sum_sign;
	int				sum_magn;
	};

extern int				codec_number_ok(int);
extern void				codec_init(struct codec *, struct ac *, struct transform *, int, int, int, int);
extern void				codec_encode(struct codec *);
extern void				codec_decode(struct codec *);
extern void				codec_set_msb(struct codec *, int);
extern struct ac			*codec_get_ac(struct codec *);
extern int				codec_get_msb(struct codec *);
extern int				codec_get_number(struct codec *);



#endif /* !YAWICA_CODEC_H */
/******************************************************** Karsten Scheibler */
